Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006465 [DCSS] Bug Report minor have not tried 2012-12-23 21:14 2013-09-29 03:18
Reporter elliptic View Status public  
Assigned To neil
Priority normal Resolution done  
Status resolved   Product Branch 0.12 ancient branch
Summary 0006465: No prompt before drinking blood when worshipping a good god.
Description It costs piety to do this, so there should be a prompt.
Additional Information
Tags No tags attached.
Attached Files ? file icon 6465_patch1.patch [^] (513 bytes) 2013-09-25 08:15 [Show Content]

- Relationships

-  Notes
(0024087)
Naruni (reporter)
2013-09-25 08:16

Added a yesno prompt that triggers when worshiping a good god and attempting to drink a blood potion.

Master 45a2003d0
(0024110)
neil (administrator)
2013-09-29 03:18

Fixed in trunk (0.14-a0-46-gc437711) and beta (0.13-b1-8-g93e7b36). Based on Naruni's patch, but with several tweaks (don't fire for non-blood potions or for unknown potions, use canned_msg).

- Issue History
Date Modified Username Field Change
2012-12-23 21:14 elliptic New Issue
2013-09-25 08:15 Naruni File Added: 6465_patch1.patch
2013-09-25 08:16 Naruni Note Added: 0024087
2013-09-29 03:18 neil Note Added: 0024110
2013-09-29 03:18 neil Status new => resolved
2013-09-29 03:18 neil Fixed in Branch => 0.13 development branch
2013-09-29 03:18 neil Resolution open => done
2013-09-29 03:18 neil Assigned To => neil


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker